% This function file provides Non-D SQF stiffness , SQF Damping and
% Pressure distribution for "ococ" Flow Boundary Conditions for the case
% of plate with all edges fixed.
function [P,Ksq,Csq]=SQprop(sigma,beta,X)
int=21;
Ksq=0;
Csq=0;
Y=X';
P=zeros(size(X));
j=sqrt(-1);
    for n=1:2:int
         tk=-8*sigma.^2/n^2/pi^2/(n^2-4)./(pi^4*n^4+sigma.^2);
         Ksq=Ksq+tk;
         tc=-8*sigma/(n^2-4)./(pi^4*n^4+sigma.^2);
         Csq=Csq+tc;
     end
    for n=1:2:int
        t=(-4/n/pi/(n^2-4)...
            *(-(j*sigma*pi^2*n^2+sigma^2)/(pi^4*n^4+sigma^2))+...
            4/n/pi/(n^2-4)*(-(j*sigma*pi^2*(4*beta^2+n^2)+sigma^2)/(pi^4*(4*beta^2+n^2)^2+sigma^2)*cos(2*pi*X)))...
            .*sin(n*pi*Y);
        P=P+t;
    end
   